#ifndef __BOOST_ATK_H__
#define __BOOST_ATK_H__

#include "potion.h"

class boost_atk final: public potion {
        static const int BOOST_ATK = 5;
public:
        boost_atk(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
